Reverses the array. [:running:] [:vhs:] [:package:] [:moon:] [:ledger:]
> Alternatives: [reverse], [reverse$].<br>
> This is part of package [extra-array].

[extra-array]: https://www.npmjs.com/package/extra-array

```javascript
array.reverse(x);
// x: an array
```

```javascript
const array = require('extra-array');

var x = [1, 2, 3, 4];
array.reverse(x);
// [ 4, 3, 2, 1 ]
```

### references

- [Array.prototype.reverse: MDN web docs](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Array/reverse)
- [Collections.reverse: Java](https://docs.oracle.com/javase/7/docs/api/java/util/Collections.html#reverse(java.util.List))
- [_.reverse: lodash](https://lodash.com/docs/4.17.15#reverse)
- [immutable-array-prototype: @azu](https://github.com/azu/immutable-array-prototype)

[:running:]: https://npm.runkit.com/@extra-array/reverse
[:package:]: https://www.npmjs.com/package/@extra-array/reverse
[:moon:]: https://www.npmjs.com/package/@extra-array/reverse.min
[:ledger:]: https://unpkg.com/@extra-array/reverse/
[reverse]: https://github.com/nodef/extra-array/wiki/reverse
[reverse$]: https://github.com/nodef/extra-array/wiki/reverse$
[:vhs:]: https://asciinema.org/a/332117
